# OpalAudioFormat Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalAudioFormat:

[legend]
Collaboration diagram for OpalAudioFormat:
[legend]

## Public Member Functions

| OpalAudioFormat (OpalMediaFormatInternal *info=NULL)
| OpalAudioFormat (const char *fullName, RTP_DataFrame::PayloadTypes rtpPayloadType, const char *encodingName, PINDEX frameSize, unsigned frameTime, unsigned rxFrames, unsigned txFrames, unsigned maxFrames=256, unsigned clockRate=8000, time_t timeStamp=0)

## Static Public Member Functions

static const PString & | RxFramesPerPacketOption ()
static const PString & | TxFramesPerPacketOption ()
static const PString & | MaxFramesPerPacketOption ()
static const PString & | ChannelsOption ()

## Constructor & Destructor Documentation

OpalAudioFormat::OpalAudioFormat | ( | OpalMediaFormatInternal * | info = `NULL` | ) | `[inline]`

OpalAudioFormat::OpalAudioFormat | ( | const char * | fullName,
|  | RTP_DataFrame::PayloadTypes | rtpPayloadType,
|  | const char * | encodingName,
|  | PINDEX | frameSize,
|  | unsigned | frameTime,
|  | unsigned | rxFrames,
|  | unsigned | txFrames,
|  | unsigned | maxFrames = `256`,
|  | unsigned | clockRate = `8000`,
|  | time_t | timeStamp = `0` |
| ) |  |  |

Parameters:

  fullName | Full name of media format
  rtpPayloadType | RTP payload type code
  encodingName | RTP encoding name
  frameSize | Size of frame in bytes (if applicable)
  frameTime | Time for frame in RTP units (if applicable)
  rxFrames | Maximum number of frames per packet we can receive
  txFrames | Desired number of frames per packet we transmit
  maxFrames | Maximum possible frames per packet
  clockRate | Clock Rate
  timeStamp | timestamp (for versioning)

## Member Function Documentation

static const PString& OpalAudioFormat::ChannelsOption | ( |  | ) | `[static]`

static const PString& OpalAudioFormat::MaxFramesPerPacketOption | ( |  | ) | `[static]`

static const PString& OpalAudioFormat::RxFramesPerPacketOption | ( |  | ) | `[static]`

static const PString& OpalAudioFormat::TxFramesPerPacketOption | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- mediafmt.h